1.0

1.0

get /v1/bills

Description

Get bill list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querystart_year_month
optional
Start year-month (YYYY-mm)
Example : 2024-08
any of [string, null]None
queryend_year_month
optional
End year-month (YYYY-mm)
Example : 2024-08
any of [string, null]None
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Account Id
Example : 228cb9e4a7934f84853594c7f26f7a21
any of [string, array[string], null]None
queryservice_category
optional
Service Category
Example : COMPUTE
any of [string, array[string], null]None
querybilling_item_id
optional
Billing Item Id
Example : VIRTUAL_SERVER
any of [string, array[string], null]None
queryresource_name
optional
Resource Name
Example : test-vm
any of [string, null]None
queryregion
optional
Region
Example : kr-west1
any of [string, array[string], null]None
querycontract_id
optional
Contract Id
Example : C002612775
any of [string, null]None
queryorder_status
optional
CCBS Order Status
Example : 04
any of [string, null]None
querybill_year_month
optional
Bill Date (YYYY-MM)
Example : 2024-07
any of [string, null]None
querybill_state
optional
Billing State
Example : USED
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKBillListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/bills

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = costexplorer 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "bills": [
        {
            "amounts": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "discount_amounts": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "asset": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "operation": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "option": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "support_plan": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "cancellation_fee": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "planned_compute": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "msp_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "new_business_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "sales_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "sla_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "reseller_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "account_cost_savings": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "project_cost_savings": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "account_credit": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "project_credit": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "edp": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "id": "5f3688a192094ddeb0c94166a3e88935",
            "account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "service_category": "COMPUTE",
            "billing_item_id": "VIRTUAL_SERVER",
            "resource_id": "7f6741f3-d9f0-4262-9a5f-627e373567a7",
            "resource_name": "test-vm",
            "region": "kr-west1",
            "contract_id": "C002612775",
            "order_status": "04",
            "bill_year_month": "2024-07",
            "bill_state": "USED"
        }
    ]
}